Subject: Re: bug#24999: closed (Re: bug#24999: 24.5; bad doc for invocation-directory)

From: Richard Stallman <[email-masked]>
Date: Fri, 25 Nov 2016 20:07:00 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > and, while writing it, it struck me that "invocation-directory" should
  > mean just that: the directory from which Emacs was invoked.

'invocation-directory' is the directory in which the Emacs executable
was found.  It is NOT supposed to be the directory that was current
at that time.  If you run Emacs with ~/bin/emacs, 'invocation-directory'
would be "~/bin/".

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.